import request from '@/utils/request'

// 查询客户资料列表
export function listDkCustomerInfo(query) {
  return request({
    url: '/dk/dkCustomerInfo/list',
    method: 'get',
    params: query
  })
}

// 查询客户资料详细
export function getDkCustomerInfo(id) {
  return request({
    url: '/dk/dkCustomerInfo/' + id,
    method: 'get'
  })
}

export function updateAllowSignature(data) {
  return request({
    url: '/dk/dkCustomerInfo/updateAllowSignature',
    method: 'post',
    data
  })
}


export function getInfoByCustomerId(query) {
  return request({
    url: '/dk/dkCustomerInfo/getInfoByCustomerId',
    method: 'get',
    params: query
  })
}



// 新增客户资料
export function addDkCustomerInfo(data) {
  return request({
    url: '/dk/dkCustomerInfo',
    method: 'post',
    data: data
  })
}

// 修改客户资料
export function updateDkCustomerInfo(data) {
  return request({
    url: '/dk/dkCustomerInfo',
    method: 'put',
    data: data
  })
}



